Package org.eclipse.rdf4j.spring.pool

## Class PooledRepositoryConnectionFactory

- java.lang.Object
- - org.eclipse.rdf4j.spring.pool.PooledRepositoryConnectionFactory

- All Implemented Interfaces:
    `RepositoryConnectionFactory`, `org.springframework.beans.factory.DisposableBean`

      public class PooledRepositoryConnectionFactory
      extends Object
      implements org.springframework.beans.factory.DisposableBean, RepositoryConnectionFactory

  Uses the delegate factory to actually obtain connections and provides these connections, managing an internal pool.
  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PooledRepositoryConnectionFactory​(RepositoryConnectionFactory delegateFactory)` |
    `PooledRepositoryConnectionFactory​(RepositoryConnectionFactory delegateFactory, org.apache.commons.pool2.impl.GenericObjectPoolConfig<RepositoryConnection> config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `RepositoryConnection` | `getConnection()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PooledRepositoryConnectionFactory

          public PooledRepositoryConnectionFactory​(RepositoryConnectionFactory delegateFactory,
                                                   org.apache.commons.pool2.impl.GenericObjectPoolConfig<RepositoryConnection> config)

    - #### PooledRepositoryConnectionFactory

          public PooledRepositoryConnectionFactory​(RepositoryConnectionFactory delegateFactory)

  - ### Method Detail

    - #### destroy

          public void destroy()
                       throws Exception

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Throws:
        `Exception`

    - #### getConnection

          public RepositoryConnection getConnection()

      Specified by:
        `getConnection` in interface `RepositoryConnectionFactory`